// Input per material
uniform lowp vec4 u_color4;
uniform sampler2D u_texture;

// Input per fragment
varying lowp vec2 v_texCoord;
varying lowp vec4 v_color;

// Shader entry point
void main() {

	// Sample texture
	vec4 texColour = texture2D(u_texture, v_texCoord);
	
	// Are we blinking?
	vec3 blinkColour = mix(v_color.rgb, vec3(1.0), v_color.a);

	gl_FragColor = texColour * vec4(blinkColour, 1.0) * u_color4;
}