#ifdef GL_ES
precision highp float;
#endif

varying mediump vec4 v_colourMultiplier;
varying mediump vec2 v_texCoords1; // Keep as separate vec2s to avoid dependent texture reads
varying mediump vec2 v_texCoords2;

uniform sampler2D u_texture;


void main() {

	// Sample the source texture for each layer and combine
	vec4 layer1col = texture2D(u_texture, v_texCoords1);
	vec4 layer2col = texture2D(u_texture, v_texCoords2);
	vec4 finalCol = (layer1col + layer2col) * v_colourMultiplier;

	gl_FragColor = finalCol;
}